# Class: Branch

## Branch(branchId, noteId, parentNoteId, notePosition, prefix, isExpanded, isDeleted, utcDateModified, utcDateCreated)

Branch represents note's placement in the tree - it's essentially pair of noteId and parentNoteId. Each note can have multiple (at least one) branches, meaning it can be placed into multiple places in the tree.

## Constructor

#### new Branch(branchId, noteId, parentNoteId, notePosition, prefix, isExpanded, isDeleted, utcDateModified, utcDateCreated)

##### Parameters:

Name | Type | Description
--- | --- | ---
`branchId` | string | primary key
`noteId` | string |
`parentNoteId` | string |
`notePosition` | int |
`prefix` | string |
`isExpanded` | boolean |
`isDeleted` | boolean |
`utcDateModified` | string |
`utcDateCreated` | string |

Source:
  - entities/branch.js, line 24

### Extends

- Entity

### Methods

#### (async) getNote() → {Note|null}

Source:
  - entities/branch.js, line 38

##### Returns:

Type
  Note | null